Transaction History - Cashback
This API endpoint fetches the cashback history of a user per merchant, including the total cashback earned from each merchant, total amount spent, loyalty percentage, category of the merchant, and address. It also provides a page-based mechanism to handle a large amount of data.
Request Body
page(integer): Which page of the transaction history to present. Each page contains a set number of transaction records.
Response
-
user_cashback_total(string): The total cashback received by the user. -
merchants(array): An array of objects, each detailing data on a specific merchant. Each object includesmerchant_id,merchant_name,merchant_username,cashback_total,total_spent,loyalty_percentage,category,address1,city_name,state_code,state_name,postcode, andmerchant_image_url.
Query parameters
api_token
Request
This endpoint expects an object.
api
data
Response
Transaction History - Cashback
message
api
status
data

